<?php

declare(strict_types=1);

namespace App\Controller\TblOfertaFavoritaUsuario;

use App\Service\TblOfertaFavoritaUsuarioService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblOfertaFavoritaUsuarioService(): TblOfertaFavoritaUsuarioService
    {
        return $this->container->get('TblOfertaFavoritaUsuario_service');
    }
}
